Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.servlets
Class ShowPropertyServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.bea.content.manager.servlets.ShowPropertyServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

Direct Known Subclasses:
  ShowBinaryServlet

public class ShowPropertyServlet
extends HttpServlet

Writes a property of a Node to the response OutputStream. The available paramater options are as follows:

- 1) Pass the node Id in as a request parameter. Eg. http://server:portal/app/ShowProperty?nodeId=/repo/12345.
- 2) Pass the node path as part of the the request pathInfo. Eg. http://server:portal/app/ShowProperty/repo/path/file.ext.
- 3) Pass the node path in as a request parameter. Eg. http://server:portal/app/ShowProperty?nodePath=/repo/path/file.ext

  See Also:
    Serialized Form

  Field Summary
  `protected boolean` | `closeStreams` Should we close the output stream when done.
  `static String` | `DEFAULT_MIME_TYPE`
  `static String` | `TEXT_MIME_TYPE`

  Constructor Summary
  `ShowPropertyServlet()`

  Method Summary
  `void` | `doGet(HttpServletRequest req, HttpServletResponse resp)`
  `void` | `doPost(HttpServletRequest req, HttpServletResponse resp)`
  `void` | `init()`
  `protected void` | `printNode(HttpServletRequest req, HttpServletResponse resp)` Prints out the value of the content property from the Node specified in the request.
  `protected void` | `showError(String error, Throwable ex, HttpServletResponse resp)`

  Methods inherited from class javax.servlet.http.HttpServlet
  `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

  Methods inherited from class javax.servlet.GenericServlet
  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### DEFAULT_MIME_TYPE

      public static final String DEFAULT_MIME_TYPE

  See Also:
    Constant Field Values

  ### TEXT_MIME_TYPE

      public static final String TEXT_MIME_TYPE

  See Also:
    Constant Field Values

  ### closeStreams

      protected boolean closeStreams

    Should we close the output stream when done. This will be initialized from the "closeStreams" initialized parameter.

  Constructor Detail

  ### ShowPropertyServlet

      public ShowPropertyServlet()

  Method Detail

  ### init

      public void init()
                throws ServletException

    Overrides:
      `init` in class `GenericServlet`
      `ServletException`

  ### doGet

      public void doGet(HttpServletRequest req,
                        HttpServletResponse resp)
                 throws ServletException,
                        IOException

    Overrides:
      `doGet` in class `HttpServlet`
      `ServletException`
      `IOException`

  ### doPost

      public void doPost(HttpServletRequest req,
                         HttpServletResponse resp)
                  throws ServletException,
                         IOException

    Overrides:
      `doPost` in class `HttpServlet`
      `ServletException`
      `IOException`

  ### printNode

      protected void printNode(HttpServletRequest req,
                               HttpServletResponse resp)
                        throws IOException,
                               RepositoryException,
                               IllegalArgumentException,
                               ServletException

    Prints out the value of the content property from the Node specified in the request.

    This will not print any error messages to the response.

    Throws:
      `IOException` - thrown on an error printing.
      `RepositoryException` - thrown on an error talking to the repository or the Node doesn't have a content property to display.
      `IllegalArgumentException` - thrown if the request doesn't contain a valid node path or the node wasn't found.
      `ServletException`

  ### showError

      protected void showError(String error,
                               Throwable ex,
                               HttpServletResponse resp)
                        throws ServletException,
                               IOException

      `ServletException`
      `IOException`

  Overview | Package | Class | Tree | Deprecated | Index | Help
  | © 2003 BEA Systems, Inc.
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2003 BEA Systems, Inc. All Rights Reserved